Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "63105d44-8dae-4895-9492-c560205c2095",
"user_id": "7600849e-4304-4038-9dbb-74b37d2d6d3c",
"user_planning_slot_type_id": "20785ef1-adee-4b47-881a-ede579001085",
"date_from": "2026-11-02T04:59:58.8978257+00:00",
"date_to": "2026-11-02T04:59:58.8978257+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-02T04:59:58.8978257+00:00"
}